petsc-3.4.2 2013-07-02

# PCRegisterAll

Registers all of the preconditioners in the PC package.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCRegisterAll(void)

Not Collective

### Input Parameter

path -the library where the routines are to be found (optional)

### Keywords

PC, register, all

### See Also

PCRegister(), PCRegisterDestroy()

Level:advanced
Location:src/ksp/pc/interface/pcregis.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages